// Neuer Tab: RotatingRect ---------------------
class RotatingRect extends Animation {
  // erbt: triggerKey, animationCounter
  int x, y;
  public RotatingRect (int x, int y, char triggerKey, SoundFile s) {
    super(triggerKey,s);
    this.x = x;
    this.y = y;
  }
  void animate () {
    if (animationCounter>0) {
      animationCounter++;
      
      float r = (float)(animationCounter)/10.0;
      pushMatrix();
      translate(x,y);
      rotate(r);
      rectMode(CENTER);
      fill(255);
      rect(0,0,100,100);
      popMatrix();
    }
  }
}
